Bug 129437 - I need to change install arch for amd 1800 system
I need to change install arch for amd 1800 system
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-08-08 23:01 EDT by jzeiger
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-10 15:49:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jzeiger 2004-08-08 23:01:17 EDT
Description of problem:
The installer thinks my amd 1800 duron system is an athlon.  After
install, the system is very unstable and experiences frequent
segmentation errors in a wide variety program.  I was able to fix this
problem on rh9 a while back by installing a 586 kernel instead of the
default one.

Two questions:  

Is there a way I can override/specify the install architecture on a
fedora core install? 

On an already installed FC1/FC2 system is there a way to override the
 install architecture so that when I upgrade the kernel (and other
platform specific packages) with up2date/apt/yum, i586 will be used
instead of athalon. Is it as simple as changing /etc/rpm/platform from
athlon-redhat-linux to i586-redhat-linux?

Version-Release number of selected component (if applicable):

How reproducible:
easy.  problem intermittent but occurs approximately once every 5
minutes using gnome or kde file managers navigating through
directories.  Other programs as well. doesn't occur using terminal. 
Occurs everytime doing kernel build. some services also have problems
(not as frequently).

Steps to Reproduce: see above
Actual results:

Expected results:

Additional info:
Comment 1 Jeremy Katz 2004-08-10 15:49:02 EDT
Yes, you can change /etc/rpm/platform like that.  Note that you
probably want to look more closely at your hardware, though, as this
is usually caused by bad hardware.

Note You need to log in before you can comment on or make changes to this bug.